# -*- encoding: utf-8 -*-
#
# Cookbook Name:: elk
# Recipe:: elasticsearch
#
######################################################
include_recipe 'elk::java'

%w(ruby lsof).each do |x|
  package x do
    action :install
  end
end

# https://supermarket.chef.io/cookbooks/elasticsearch
node.default['elasticsearch']['allocated_memory'] = \
node['elk']['allocated_memory']

node.default['elasticsearch']['cluster']['name'] = \
node['elk']['cluster_name']

node.default['elasticsearch']['version'] = '1.6.0'

node.default['elasticsearch']['http']['port'] = \
node['elk']['elasticsearch_port']

# TODO: customize elasticsearch flagfile
node.default['elasticsearch']['pid_file'] = \
'/usr/local/var/run/vagrant_ubuntu_trusty_64.pid'

include_recipe 'elasticsearch::default'
include_recipe 'elasticsearch::plugins'

# TODO: integrate developer's customization of elasticsearch.yml
# template 'elasticsearch.yml' do
# path "#{node.elasticsearch[:path][:conf]}/elasticsearch.yml"
# source 'authright_elasticsearch.yml.erb'
# owner node.elasticsearch[:user]
# group node.elasticsearch[:user] and mode 0755
# notifies :restart, 'service[elasticsearch]'
# unless node.elasticsearch[:skip_restart]
# end

service 'elasticsearch' do
  action [:enable, :start]
end
