#
# Cookbook Name:: elk
# Recipe:: logstash

######################################################
include_recipe 'elk::java'
# https://supermarket.chef.io/cookbooks/logstash#readme
node.default['logstash']['instance_default']['version'] = '1.5.3'
node.default['logstash']['instance_default']['java_home'] = \
'/usr/lib/jvm/java-8-oracle-amd64'
node.default['logstash']['instance_default']['init_method'] = 'native'

template '/etc/init.d/logstash_server' do
  source 'logstash_initscript.erb'
  mode 0755
  notifies :restart, 'service[logstash_server]', :delayed
end

#include_recipe 'logstash::source'
include_recipe 'logstash::server'
#include_recipe 'logstash::agent'

template '/opt/logstash/server/etc/conf.d/sample.conf' do
  source 'logstash_sample.conf'
  mode 0755
  notifies :restart, 'service[logstash_server]', :delayed
end

service 'logstash_server' do
  supports status: true
  start_command '/etc/init.d/logstash_server start'
  stop_command '/etc/init.d/logstash_server stop'
  action [:enable]
end
